Skip to main content
PUT
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
curl --request PUT \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Production Workspace Group",
  "description": "Updated workspace group for production environments",
  "location": {
    "latitude": 40.4168,
    "longitude": -3.7038,
    "address": "Madrid, Spain",
    "description": "Updated office location"
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "organization_id": "<string>",
  "create_user": "<string>",
  "filter": "<string>",
  "location": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "description": "<string>"
  },
  "entra_id_source": {
    "resource_id": "<string>",
    "resource_name": "<string>"
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_group_id
string
required

Unique identifier for the workspace group to update

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
name
string
required
Maximum string length: 512
description
string
required
Maximum string length: 512
location
object
required

Response

Workspace group successfully updated. The response contains the updated resource.

id
string
required

ID of the workspace group

Pattern: ^[0-9a-f]{24}$
name
string
required

Name of the workspace group

create_date
string<date-time>
required

Creation timestamp

description
string | null

Description of the workspace group

organization_id
string

Organization identifier

Pattern: ^[0-9a-f]{24}$
create_user
string | null

ID of the user who created the workspace group

Pattern: ^[0-9a-f]{24}$
type
enum<string> | null

Type of workspace group

Available options:
static,
dynamic,
entra_id
filter
string | null

Filter string for dynamic workspace groups

location
object | null

Location information of the workspace group

entra_id_source
object | null

Entra ID source information for the workspace group